﻿using System;

namespace RomanNumeralConverter
{
    class Program
    {
        static void Main()
        {
            Console.WriteLine("iNetTutor.com - Number to Roman Numeral Converter");

            Console.Write("Enter a number (1-10): ");
            int number = int.Parse(Console.ReadLine());

            // Validate input
            if (number < 1 || number > 10)
            {
                Console.WriteLine("Invalid input. Please enter a number between 1 and 10.");
            }
            else
            {
                string romanNumeral = "";

                // Switch statement for each digit
                switch (number)
                {
                    case 1:
                        romanNumeral += "I";
                        break;
                    case 2:
                        romanNumeral += "II";
                        break;
                    case 3:
                        romanNumeral += "III";
                        break;
                    case 4:
                        romanNumeral += "IV";
                        break;
                    case 5:
                        romanNumeral += "V";
                        break;
                    case 6:
                        romanNumeral += "VI";
                        break;
                    case 7:
                        romanNumeral += "VII";
                        break;
                    case 8:
                        romanNumeral += "VIII";
                        break;
                    case 9:
                        romanNumeral += "IX";
                        break;
                    case 10:
                        romanNumeral += "X";
                        break;
                }

                Console.WriteLine($"Roman Numeral: {romanNumeral}");
            }

            Console.ReadLine();
        }
    }
}
